summaryrefslogtreecommitdiff
path: root/third_party/bigint/run-testsuite
diff options
context:
space:
mode:
authorBo Xu <bo_xu@foxitsoftware.com>2014-12-02 14:28:36 -0800
committerBo Xu <bo_xu@foxitsoftware.com>2014-12-02 14:28:36 -0800
commit44047c3300d07192a67b1714084cc2d43b1e9bd9 (patch)
tree5cb8087f8653b9d0daad1ba926ae2d04c4436640 /third_party/bigint/run-testsuite
parent7504b3d87d6143661746d85c3c3e4052939b4e52 (diff)
downloadpdfium-44047c3300d07192a67b1714084cc2d43b1e9bd9.tar.xz
Remove unnecessary files in third_party/bigint
This patch follows the initial check in of big integer library at https://pdfium.googlesource.com/pdfium/+/7504b3d87d6143661746d85c3c3e4052939b4e52 R=tsepez@chromium.org Review URL: https://codereview.chromium.org/773923002
Diffstat (limited to 'third_party/bigint/run-testsuite')
-rwxr-xr-xthird_party/bigint/run-testsuite37
1 files changed, 0 insertions, 37 deletions
diff --git a/third_party/bigint/run-testsuite b/third_party/bigint/run-testsuite
deleted file mode 100755
index ff73729164..0000000000
--- a/third_party/bigint/run-testsuite
+++ /dev/null
@@ -1,37 +0,0 @@
-#!/bin/bash
-
-bad=
-
-# If you encounter the following problem with Valgrind like I did:
-# https://bugzilla.redhat.com/show_bug.cgi?id=455644
-# you can pass the environment variable NO_VALGRIND=1 to run the testsuite
-# without it.
-if [ "$NO_VALGRIND" ]; then
- cmd=(./testsuite)
-else
- cmd=(valgrind --error-exitcode=1 --leak-check=full ./testsuite)
-fi
-
-set -o pipefail
-# Stdout goes directly to testsuite.out; stderr goes down the pipe.
-if ! "${cmd[@]}" 2>&1 >testsuite.out | tee testsuite.err; then
- echo >&2 'Memory errors!'
- bad=1
-fi
-
-if grep 'LEAK SUMMARY' testsuite.err >/dev/null; then
- echo >&2 'Memory leaks!'
- bad=1
-fi
-
-if ! diff -u testsuite.expected testsuite.out; then
- echo >&2 'Output is incorrect!'
- bad=1
-fi
-
-if [ $bad ]; then
- echo >&2 'Test suite failed!'
- exit 1
-else
- echo 'Test suite passed.'
-fi